Package org.apache.aries.jax.rs.whiteboard.internal.client

## Class ClientBuilderFactory

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.client.ClientBuilderFactory

All Implemented Interfaces:
  `org.osgi.framework.PrototypeServiceFactory<javax.ws.rs.client.ClientBuilder>`, `org.osgi.framework.ServiceFactory<javax.ws.rs.client.ClientBuilder>`

    public class ClientBuilderFactory
    extends Object
    implements org.osgi.framework.PrototypeServiceFactory<javax.ws.rs.client.ClientBuilder>

### Constructor Summary

Constructors
`ClientBuilderFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.client.ClientBuilder` `getService​(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<javax.ws.rs.client.ClientBuilder> registration)`
`void` `ungetService​(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<javax.ws.rs.client.ClientBuilder> registration, javax.ws.rs.client.ClientBuilder service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientBuilderFactory

    public ClientBuilderFactory()

### Method Detail

#### getService

    public javax.ws.rs.client.ClientBuilder getService​(org.osgi.framework.Bundle bundle,
                                                       org.osgi.framework.ServiceRegistration<javax.ws.rs.client.ClientBuilder> registration)

Specified by:
  `getService` in interface `org.osgi.framework.PrototypeServiceFactory<javax.ws.rs.client.ClientBuilder>`
Specified by:
  `getService` in interface `org.osgi.framework.ServiceFactory<javax.ws.rs.client.ClientBuilder>`

#### ungetService

    public void ungetService​(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration<javax.ws.rs.client.ClientBuilder> registration,
                             javax.ws.rs.client.ClientBuilder service)

Specified by:
  `ungetService` in interface `org.osgi.framework.PrototypeServiceFactory<javax.ws.rs.client.ClientBuilder>`
Specified by:
  `ungetService` in interface `org.osgi.framework.ServiceFactory<javax.ws.rs.client.ClientBuilder>`